org.apache.solr.client.solrj.response

## Class SimpleSolrResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SimpleSolrResponse

All Implemented Interfaces:
  Serializable, MapSerializable, MapWriter, NavigableObject

    public class SimpleSolrResponse
    extends SolrResponse

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`long` `elapsedTime`
`NamedList<Object>` `nl`

### Constructor Summary

Constructors
Constructor and Description
`SimpleSolrResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getElapsedTime()` Elapsed time in milliseconds for the request as seen from the client.
`NamedList<Object>` `getResponse()`
`void` `setElapsedTime(long elapsedTime)`
`void` `setResponse(NamedList<Object> rsp)`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Field Detail

#### elapsedTime

    public long elapsedTime

#### nl

    public NamedList<Object> nl

### Constructor Detail

#### SimpleSolrResponse

    public SimpleSolrResponse()

### Method Detail

#### getElapsedTime

    public long getElapsedTime()

Description copied from class: `SolrResponse`
Elapsed time in milliseconds for the request as seen from the client.

Specified by:
  `getElapsedTime` in class `SolrResponse`

#### getResponse

    public NamedList<Object> getResponse()

Specified by:
  `getResponse` in class `SolrResponse`

#### setResponse

    public void setResponse(NamedList<Object> rsp)

Specified by:
  `setResponse` in class `SolrResponse`

#### setElapsedTime

    public void setElapsedTime(long elapsedTime)

Specified by:
  `setElapsedTime` in class `SolrResponse`